Subject: bug#32854: Error upon starting Emacs from macOS Mojave's Terminal: "Failed to initialize color list unarchiver"

From: Evan Aad <[email-masked]>
Date: Thu, 27 Sep 2018 17:23:22 +0300

Ever since I upgraded my macOS to the latest version, 10.14 Mojave, a
couple days ago (which I followed by performing a 'brew upgrade' in
the Terminal), whenever I start Emacs from the terminal, I get the
following error message.

Failed to initialize color list unarchiver: Error
Domain=NSCocoaErrorDomain Code=4864 "*** -[NSKeyedUnarchiver
_initForReadingFromData:error:throwLegacyExceptions:]: non-keyed
archive cannot be decoded by NSKeyedUnarchiver"
UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver
_initForReadingFromData:error:throwLegacyExceptions:]: non-keyed
archive cannot be decoded by NSKeyedUnarchiver}

I never encountered this message before. Despite the error message,
Emacs starts opens, and seems to be functioning properly.

GNU Emacs 26.1  (build 1, x86_64-apple-darwin17.5.0, NS appkit-1561.40
Version 10.13.4 (Build 17E202))  of 2018-05-31